# Class AtomicFileWritingIdiom

java.lang.Object
org.apache.zookeeper.common.AtomicFileWritingIdiom

public class AtomicFileWritingIdiom extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`AtomicFileWritingIdiom.OutputStreamStatement`
`static interface`
`AtomicFileWritingIdiom.WriterStatement`

## Constructor Summary

Constructors
Constructor
Description
`AtomicFileWritingIdiom(File targetFile, AtomicFileWritingIdiom.OutputStreamStatement osStmt)`
`AtomicFileWritingIdiom(File targetFile, AtomicFileWritingIdiom.WriterStatement wStmt)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AtomicFileWritingIdiom

public AtomicFileWritingIdiom(File targetFile, AtomicFileWritingIdiom.OutputStreamStatement osStmt) throws IOException

Throws:
  `IOException`

### AtomicFileWritingIdiom

public AtomicFileWritingIdiom(File targetFile, AtomicFileWritingIdiom.WriterStatement wStmt) throws IOException

Throws:
  `IOException`